detectWindow();

$('.ui.accordion').accordion();
$('.ui.sidebar').sidebar('attach events', "#sidebar-trigger");
$('.ui.checkbox').checkbox();
$('.ui.dropdown').dropdown();
$('.ui.sticky').sticky();

$(window).resize(function(){
    detectWindow();
});

function detectWindow() {
    if($(window).width()>1401) {
        $(".ui.sidebar").addClass("visible");
    } else {
        $(".ui.sidebar").removeClass("visible");
    }
}

function hideMessage() {
    setTimeout(function(){
    	$('.ui.message').transition('fade');
    }, 2500);
}

function alertMsg(title, content, status) {
	// console.log(title, content, status);
	var msgbox = $("<div/>").addClass('ui message').addClass(status)
				.append('<i class="close icon"></i>')
				.append('<div class="header">'+title+'</div>')
				.append('<p>'+content+'</p>');

    if( $("h1.ui.header").length ) {
	   $("h1.ui.header").after(msgbox);
    } else {
        $('.ui.container.grid > .column').prepend(msgbox);
    }

	setTimeout(function(argument) {
        msgbox.transition('fade');
	}, 3000)
}

$('i.close').on('click', '.ui.message',function() {
	$(this).closest('.message').transition('fade');
});
